Index: uspace/lib/ui/test/entry.c
===================================================================
--- uspace/lib/ui/test/entry.c	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/lib/ui/test/entry.c	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -27,5 +27,4 @@
  */
 
-#include <clipboard.h>
 #include <gfx/context.h>
 #include <gfx/coord.h>
@@ -120,21 +119,4 @@
 }
 
-/** Set entry read only flag sets internal field */
-PCUT_TEST(set_read_only)
-{
-	ui_entry_t *entry;
-	errno_t rc;
-
-	rc = ui_entry_create(NULL, "Hello", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_entry_set_read_only(entry, true);
-	PCUT_ASSERT_TRUE(entry->read_only);
-	ui_entry_set_read_only(entry, false);
-	PCUT_ASSERT_FALSE(entry->read_only);
-
-	ui_entry_destroy(entry);
-}
-
 /** Set text entry rectangle sets internal field */
 PCUT_TEST(set_text)
@@ -191,618 +173,3 @@
 }
 
-/** ui_entry_delete_sel() deletes selected text */
-PCUT_TEST(delete_sel)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCDEF", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCDEF", entry->text);
-
-	ui_entry_activate(entry);
-
-	/* Select all but first and last character */
-	ui_entry_seek_start(entry, false);
-	ui_entry_seek_next_char(entry, false);
-	ui_entry_seek_end(entry, true);
-	ui_entry_seek_prev_char(entry, true);
-
-	ui_entry_delete_sel(entry);
-
-	PCUT_ASSERT_STR_EQUALS("AF", entry->text);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_insert_str() inserts string at cursor. */
-PCUT_TEST(insert_str)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "A", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("A", entry->text);
-
-	ui_entry_activate(entry);
-	ui_entry_seek_end(entry, false);
-
-	rc = ui_entry_insert_str(entry, "B");
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("AB", entry->text);
-
-	rc = ui_entry_insert_str(entry, "EF");
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABEF", entry->text);
-
-	entry->pos = 2;
-	entry->sel_start = 2;
-	rc = ui_entry_insert_str(entry, "CD");
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCDEF", entry->text);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_insert_str() deletes selection before inserting string */
-PCUT_TEST(insert_str_with_sel)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCDE", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCDE", entry->text);
-
-	/* Select all but the first and last character */
-	ui_entry_activate(entry);
-	ui_entry_seek_start(entry, false);
-	ui_entry_seek_next_char(entry, false);
-	ui_entry_seek_end(entry, true);
-	ui_entry_seek_prev_char(entry, true);
-
-	rc = ui_entry_insert_str(entry, "123");
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("A123E", entry->text);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_backspace() deletes character before cursor. */
-PCUT_TEST(backspace)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCD", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCD", entry->text);
-	entry->pos = 3;
-	entry->sel_start = 3;
-
-	ui_entry_backspace(entry);
-	PCUT_ASSERT_STR_EQUALS("ABD", entry->text);
-
-	ui_entry_backspace(entry);
-	PCUT_ASSERT_STR_EQUALS("AD", entry->text);
-
-	ui_entry_backspace(entry);
-	PCUT_ASSERT_STR_EQUALS("D", entry->text);
-
-	ui_entry_backspace(entry);
-	PCUT_ASSERT_STR_EQUALS("D", entry->text);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_backspace() with selected text deletes selection. */
-PCUT_TEST(backspace_with_sel)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCDE", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCDE", entry->text);
-
-	/* Select all but the first and last character */
-	ui_entry_activate(entry);
-	ui_entry_seek_start(entry, false);
-	ui_entry_seek_next_char(entry, false);
-	ui_entry_seek_end(entry, true);
-	ui_entry_seek_prev_char(entry, true);
-
-	ui_entry_backspace(entry);
-
-	PCUT_ASSERT_STR_EQUALS("AE", entry->text);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_delete() deletes character after cursor. */
-PCUT_TEST(delete)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCD", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCD", entry->text);
-	entry->pos = 1;
-	entry->sel_start = 1;
-
-	ui_entry_delete(entry);
-	PCUT_ASSERT_STR_EQUALS("ACD", entry->text);
-
-	ui_entry_delete(entry);
-	PCUT_ASSERT_STR_EQUALS("AD", entry->text);
-
-	ui_entry_delete(entry);
-	PCUT_ASSERT_STR_EQUALS("A", entry->text);
-
-	ui_entry_delete(entry);
-	PCUT_ASSERT_STR_EQUALS("A", entry->text);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_delete() with selected text deletes selection. */
-PCUT_TEST(delete_with_sel)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCDE", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCDE", entry->text);
-
-	/* Select all but the first and last character */
-	ui_entry_activate(entry);
-	ui_entry_seek_start(entry, false);
-	ui_entry_seek_next_char(entry, false);
-	ui_entry_seek_end(entry, true);
-	ui_entry_seek_prev_char(entry, true);
-
-	ui_entry_delete(entry);
-
-	PCUT_ASSERT_STR_EQUALS("AE", entry->text);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_copy() copies selected text to clipboard. */
-PCUT_TEST(copy)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-	char *str;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCDEF", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_entry_activate(entry);
-	ui_entry_seek_start(entry, false);
-	ui_entry_seek_next_char(entry, false);
-	ui_entry_seek_end(entry, true);
-	ui_entry_seek_prev_char(entry, true);
-
-	// FIXME: This is not safe unless we could create a private
-	// test clipboard
-
-	ui_entry_copy(entry);
-	rc = clipboard_get_str(&str);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_STR_EQUALS("BCDE", str);
-	PCUT_ASSERT_STR_EQUALS("ABCDEF", entry->text);
-	free(str);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_cut() cuts selected text to clipboard. */
-PCUT_TEST(cut)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-	char *str;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCDEF", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_entry_activate(entry);
-	ui_entry_seek_start(entry, false);
-	ui_entry_seek_next_char(entry, false);
-	ui_entry_seek_end(entry, true);
-	ui_entry_seek_prev_char(entry, true);
-
-	// FIXME: This is not safe unless we could create a private
-	// test clipboard
-
-	ui_entry_cut(entry);
-	rc = clipboard_get_str(&str);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_STR_EQUALS("BCDE", str);
-	PCUT_ASSERT_STR_EQUALS("AF", entry->text);
-	free(str);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_paste() pastes text from clipboard. */
-PCUT_TEST(paste)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "AB", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_entry_activate(entry);
-	ui_entry_seek_start(entry, false);
-	ui_entry_seek_next_char(entry, false);
-
-	// FIXME: This is not safe unless we could create a private
-	// test clipboard
-
-	rc = clipboard_put_str("123");
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_entry_paste(entry);
-	PCUT_ASSERT_STR_EQUALS("A123B", entry->text);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_seek_start() moves cursor to beginning of text */
-PCUT_TEST(seek_start)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCDEF", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_entry_activate(entry);
-
-	entry->pos = 2;
-	entry->sel_start = 2;
-
-	ui_entry_seek_start(entry, true);
-	PCUT_ASSERT_INT_EQUALS(0, entry->pos);
-	PCUT_ASSERT_INT_EQUALS(2, entry->sel_start);
-
-	ui_entry_seek_start(entry, false);
-	PCUT_ASSERT_INT_EQUALS(0, entry->pos);
-	PCUT_ASSERT_INT_EQUALS(0, entry->sel_start);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_seek_end() moves cursor to the end of text */
-PCUT_TEST(seek_end)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCD", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCD", entry->text);
-	entry->pos = 2;
-	entry->sel_start = 2;
-
-	ui_entry_seek_end(entry, true);
-	PCUT_ASSERT_INT_EQUALS(4, entry->pos);
-	PCUT_ASSERT_INT_EQUALS(2, entry->sel_start);
-	ui_entry_seek_end(entry, false);
-	PCUT_ASSERT_INT_EQUALS(4, entry->pos);
-	PCUT_ASSERT_INT_EQUALS(4, entry->sel_start);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_seek_prev_char() moves cursor to the previous character */
-PCUT_TEST(seek_prev_char)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCD", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCD", entry->text);
-	entry->pos = 3;
-	entry->sel_start = 3;
-
-	ui_entry_seek_prev_char(entry, true);
-	PCUT_ASSERT_INT_EQUALS(2, entry->pos);
-	PCUT_ASSERT_INT_EQUALS(3, entry->sel_start);
-
-	ui_entry_seek_prev_char(entry, false);
-	PCUT_ASSERT_INT_EQUALS(1, entry->pos);
-	PCUT_ASSERT_INT_EQUALS(1, entry->sel_start);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_seek_prev_char() moves cursor to the next character */
-PCUT_TEST(seek_next_char)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABCD", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_STR_EQUALS("ABCD", entry->text);
-	entry->pos = 1;
-	entry->sel_start = 1;
-
-	ui_entry_seek_next_char(entry, true);
-	PCUT_ASSERT_INT_EQUALS(2, entry->pos);
-	PCUT_ASSERT_INT_EQUALS(1, entry->sel_start);
-	ui_entry_seek_next_char(entry, false);
-	PCUT_ASSERT_INT_EQUALS(3, entry->pos);
-	PCUT_ASSERT_INT_EQUALS(3, entry->sel_start);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** ui_entry_activate() / ui_entry_deactivate() */
-PCUT_TEST(activate_deactivate)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_entry_t *entry;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_entry_create(window, "ABC", &entry);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	PCUT_ASSERT_FALSE(entry->active);
-
-	ui_entry_activate(entry);
-	PCUT_ASSERT_TRUE(entry->active);
-
-	ui_entry_deactivate(entry);
-	PCUT_ASSERT_FALSE(entry->active);
-
-	ui_entry_destroy(entry);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
 PCUT_EXPORT(entry);
Index: uspace/lib/ui/test/main.c
===================================================================
--- uspace/lib/ui/test/main.c	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/lib/ui/test/main.c	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -34,5 +34,4 @@
 PCUT_IMPORT(checkbox);
 PCUT_IMPORT(entry);
-PCUT_IMPORT(file_dialog);
 PCUT_IMPORT(fixed);
 PCUT_IMPORT(image);
@@ -41,5 +40,4 @@
 PCUT_IMPORT(menubar);
 PCUT_IMPORT(menuentry);
-PCUT_IMPORT(msg_dialog);
 PCUT_IMPORT(paint);
 PCUT_IMPORT(pbutton);
Index: uspace/lib/ui/test/menu.c
===================================================================
--- uspace/lib/ui/test/menu.c	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/lib/ui/test/menu.c	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -209,102 +209,4 @@
 }
 
-/** Paint background in graphics mode */
-PCUT_TEST(paint_bg_gfx)
-{
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_menu_bar_t *mbar = NULL;
-	ui_menu_t *menu = NULL;
-	gfx_rect_t prect;
-	gfx_coord2_t pos;
-	errno_t rc;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_menu_bar_create(ui, window, &mbar);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(mbar);
-
-	rc = ui_menu_create(mbar, "Test", &menu);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(menu);
-
-	prect.p0.x = 0;
-	prect.p0.y = 0;
-	prect.p1.x = 0;
-	prect.p1.y = 0;
-
-	/* Menu needs to be open to be able to paint it */
-	rc = ui_menu_open(menu, &prect);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	pos.x = 0;
-	pos.y = 0;
-	rc = ui_menu_paint_bg_gfx(menu, &pos);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_menu_bar_destroy(mbar);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
-/** Paint background in text mode */
-PCUT_TEST(paint_bg_text)
-{
-	ui_t *ui = NULL;
-	ui_window_t *window = NULL;
-	ui_wnd_params_t params;
-	ui_menu_bar_t *mbar = NULL;
-	ui_menu_t *menu = NULL;
-	gfx_rect_t prect;
-	gfx_coord2_t pos;
-	errno_t rc;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rc = ui_menu_bar_create(ui, window, &mbar);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(mbar);
-
-	rc = ui_menu_create(mbar, "Test", &menu);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(menu);
-
-	prect.p0.x = 0;
-	prect.p0.y = 0;
-	prect.p1.x = 0;
-	prect.p1.y = 0;
-
-	/* Menu needs to be open to be able to paint it */
-	rc = ui_menu_open(menu, &prect);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	pos.x = 0;
-	pos.y = 0;
-	rc = ui_menu_paint_bg_text(menu, &pos);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_menu_bar_destroy(mbar);
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
 /** Paint menu */
 PCUT_TEST(paint)
Index: uspace/lib/ui/test/msgdialog.c
===================================================================
--- uspace/lib/ui/test/msgdialog.c	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/lib/ui/test/msgdialog.c	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -108,5 +108,5 @@
 	ui_pbutton_clicked(dialog->bok);
 
-	/* Button callback with callback not implemented */
+	/* Button callback with unfocus callback not implemented */
 	ui_msg_dialog_set_cb(dialog, &dummy_msg_dialog_cb, NULL);
 	ui_pbutton_clicked(dialog->bok);
Index: uspace/lib/ui/test/paint.c
===================================================================
--- uspace/lib/ui/test/paint.c	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/lib/ui/test/paint.c	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -96,9 +96,4 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rect.p0.x = 10;
-	rect.p0.y = 20;
-	rect.p1.x = 30;
-	rect.p1.y = 40;
-
 	/* Paint bevel with NULL 'inside' output parameter */
 	rc = ui_paint_bevel(gc, &rect, color1, color2, 2, NULL);
@@ -111,32 +106,4 @@
 	gfx_color_delete(color2);
 	gfx_color_delete(color1);
-	rc = gfx_context_delete(gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-}
-
-/** Get bevel inside */
-PCUT_TEST(get_bevel_inside)
-{
-	errno_t rc;
-	gfx_context_t *gc = NULL;
-	test_gc_t tgc;
-	gfx_rect_t rect;
-	gfx_rect_t inside;
-
-	memset(&tgc, 0, sizeof(tgc));
-	rc = gfx_context_new(&ops, &tgc, &gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rect.p0.x = 10;
-	rect.p0.y = 20;
-	rect.p1.x = 30;
-	rect.p1.y = 40;
-
-	ui_paint_get_bevel_inside(gc, &rect, 2, &inside);
-	PCUT_ASSERT_INT_EQUALS(12, inside.p0.x);
-	PCUT_ASSERT_INT_EQUALS(22, inside.p0.y);
-	PCUT_ASSERT_INT_EQUALS(28, inside.p1.x);
-	PCUT_ASSERT_INT_EQUALS(38, inside.p1.y);
-
 	rc = gfx_context_delete(gc);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
@@ -161,9 +128,4 @@
 	PCUT_ASSERT_NOT_NULL(resource);
 
-	rect.p0.x = 10;
-	rect.p0.y = 20;
-	rect.p1.x = 30;
-	rect.p1.y = 40;
-
 	/* Paint inset frame with NULL 'inside' output parameter */
 	rc = ui_paint_inset_frame(resource, &rect, NULL);
@@ -173,38 +135,4 @@
 	rc = ui_paint_inset_frame(resource, &rect, &inside);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_resource_destroy(resource);
-	rc = gfx_context_delete(gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-}
-
-/** Get inset frame inside */
-PCUT_TEST(get_inset_frame_inside)
-{
-	errno_t rc;
-	gfx_context_t *gc = NULL;
-	ui_resource_t *resource = NULL;
-	test_gc_t tgc;
-	gfx_rect_t rect;
-	gfx_rect_t inside;
-
-	memset(&tgc, 0, sizeof(tgc));
-	rc = gfx_context_new(&ops, &tgc, &gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = ui_resource_create(gc, false, &resource);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(resource);
-
-	rect.p0.x = 10;
-	rect.p0.y = 20;
-	rect.p1.x = 30;
-	rect.p1.y = 40;
-
-	ui_paint_get_inset_frame_inside(resource, &rect, &inside);
-	PCUT_ASSERT_INT_EQUALS(12, inside.p0.x);
-	PCUT_ASSERT_INT_EQUALS(22, inside.p0.y);
-	PCUT_ASSERT_INT_EQUALS(28, inside.p1.x);
-	PCUT_ASSERT_INT_EQUALS(38, inside.p1.y);
 
 	ui_resource_destroy(resource);
@@ -237,76 +165,4 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = gfx_context_delete(gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-}
-
-/** Paint text box */
-PCUT_TEST(text_box)
-{
-	errno_t rc;
-	gfx_context_t *gc = NULL;
-	ui_resource_t *resource = NULL;
-	gfx_color_t *color = NULL;
-	test_gc_t tgc;
-	gfx_rect_t rect;
-
-	memset(&tgc, 0, sizeof(tgc));
-	rc = gfx_context_new(&ops, &tgc, &gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = ui_resource_create(gc, false, &resource);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(resource);
-
-	rc = gfx_color_new_rgb_i16(1, 2, 3, &color);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rect.p0.x = 10;
-	rect.p0.y = 20;
-	rect.p1.x = 30;
-	rect.p1.y = 40;
-
-	/* Paint text box */
-	rc = ui_paint_text_box(resource, &rect, ui_box_single, color);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	gfx_color_delete(color);
-	ui_resource_destroy(resource);
-	rc = gfx_context_delete(gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-}
-
-/** Paint text horizontal brace */
-PCUT_TEST(text_hbrace)
-{
-	errno_t rc;
-	gfx_context_t *gc = NULL;
-	ui_resource_t *resource = NULL;
-	gfx_color_t *color = NULL;
-	test_gc_t tgc;
-	gfx_rect_t rect;
-
-	memset(&tgc, 0, sizeof(tgc));
-	rc = gfx_context_new(&ops, &tgc, &gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = ui_resource_create(gc, false, &resource);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(resource);
-
-	rc = gfx_color_new_rgb_i16(1, 2, 3, &color);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rect.p0.x = 10;
-	rect.p0.y = 20;
-	rect.p1.x = 30;
-	rect.p1.y = 40;
-
-	/* Paint text horizontal brace */
-	rc = ui_paint_text_hbrace(resource, &rect, ui_box_single,
-	    color);
-
-	gfx_color_delete(color);
-	ui_resource_destroy(resource);
 	rc = gfx_context_delete(gc);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
Index: uspace/lib/ui/test/rbutton.c
===================================================================
--- uspace/lib/ui/test/rbutton.c	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/lib/ui/test/rbutton.c	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -166,6 +166,6 @@
 }
 
-/** Paint radio button in graphics mode */
-PCUT_TEST(paint_gfx)
+/** Paint radio button */
+PCUT_TEST(paint)
 {
 	errno_t rc;
@@ -190,40 +190,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = ui_rbutton_paint_gfx(rbutton);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_rbutton_destroy(rbutton);
-	ui_rbutton_group_destroy(group);
-	ui_resource_destroy(resource);
-
-	rc = gfx_context_delete(gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-}
-
-/** Paint radio button in text mode */
-PCUT_TEST(paint_text)
-{
-	errno_t rc;
-	gfx_context_t *gc = NULL;
-	test_gc_t tgc;
-	ui_rbutton_group_t *group = NULL;
-	ui_resource_t *resource = NULL;
-	ui_rbutton_t *rbutton;
-
-	memset(&tgc, 0, sizeof(tgc));
-	rc = gfx_context_new(&ops, &tgc, &gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = ui_resource_create(gc, false, &resource);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(resource);
-
-	rc = ui_rbutton_group_create(resource, &group);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = ui_rbutton_create(group, "Hello", NULL, &rbutton);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = ui_rbutton_paint_text(rbutton);
+	rc = ui_rbutton_paint(rbutton);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
Index: uspace/lib/ui/test/slider.c
===================================================================
--- uspace/lib/ui/test/slider.c	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/lib/ui/test/slider.c	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -152,6 +152,6 @@
 }
 
-/** Paint slider in graphics mode */
-PCUT_TEST(paint_gfx)
+/** Paint slider */
+PCUT_TEST(paint)
 {
 	errno_t rc;
@@ -172,35 +172,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = ui_slider_paint_gfx(slider);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_slider_destroy(slider);
-	ui_resource_destroy(resource);
-
-	rc = gfx_context_delete(gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-}
-
-/** Paint slider in text mode */
-PCUT_TEST(paint_text)
-{
-	errno_t rc;
-	gfx_context_t *gc = NULL;
-	test_gc_t tgc;
-	ui_resource_t *resource = NULL;
-	ui_slider_t *slider;
-
-	memset(&tgc, 0, sizeof(tgc));
-	rc = gfx_context_new(&ops, &tgc, &gc);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = ui_resource_create(gc, false, &resource);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(resource);
-
-	rc = ui_slider_create(resource, "Hello", &slider);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = ui_slider_paint_text(slider);
+	rc = ui_slider_paint(slider);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
Index: uspace/lib/ui/test/window.c
===================================================================
--- uspace/lib/ui/test/window.c	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/lib/ui/test/window.c	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -258,30 +258,4 @@
 }
 
-/** ui_window_get_ui() returns containing UI */
-PCUT_TEST(get_ui)
-{
-	errno_t rc;
-	ui_t *ui = NULL;
-	ui_t *rui;
-	ui_wnd_params_t params;
-	ui_window_t *window = NULL;
-
-	rc = ui_create_disp(NULL, &ui);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	ui_wnd_params_init(&params);
-	params.caption = "Hello";
-
-	rc = ui_window_create(ui, &params, &window);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-	PCUT_ASSERT_NOT_NULL(window);
-
-	rui = ui_window_get_ui(window);
-	PCUT_ASSERT_EQUALS(ui, rui);
-
-	ui_window_destroy(window);
-	ui_destroy(ui);
-}
-
 /** ui_window_get_res/gc/rect() return valid objects */
 PCUT_TEST(get_res_gc_rect)
Index: uspace/meson.build
===================================================================
--- uspace/meson.build	(revision 8a9a41e01a710f4ef36a33613b89d0973f674280)
+++ uspace/meson.build	(revision 2ce943a86a6fbca13a3d2809d0aa9d9dcd1cf398)
@@ -201,5 +201,5 @@
 		cpp_args: arch_uspace_c_args + tst.get('c_args'),
 		link_args: arch_uspace_c_args + arch_uspace_link_args + _ldargs,
-		implicit_include_directories: true,
+		implicit_include_directories: false,
 		build_by_default: true,
 	)
